package org.dromara.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.dromara.system.domain.TblBag;
import org.dromara.system.domain.vo.TblBagVo;
import org.dromara.system.domain.bo.TblBagBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2025-09-06
 */
public interface ITblBagService {

    /**
     * 查询【请填写功能名称】
     */
    TblBagVo queryById(Long id);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<TblBagVo> queryPageList(TblBagBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<TblBagVo> queryList(TblBagBo bo);

    List<TblBagVo> queryList(QueryWrapper qWrapper);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(TblBagBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(TblBagBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
